Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.db/org.gvsig.fmap.dal.db.jdbc/src/test/java/org/gvsig/fmap/dal/store/jdbc2/SQLBuilderTest.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.db/org.gvsig.fmap.dal.db.jdbc/src/test/java/org/gvsig/fmap/dal/store/jdbc2/SQLBuilderTest.java	(revision 44197)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.db/org.gvsig.fmap.dal.db.jdbc/src/test/java/org/gvsig/fmap/dal/store/jdbc2/SQLBuilderTest.java	(revision 44198)
@@ -281,205 +264,242 @@
         
         assertEquals(
                 "SELECT * FROM \"master\".\"dbo\".\"test1\" LIMIT 1",
-                builder.toString()
+                sqlbuilder.toString()
         );
         assertEquals(
                 "[]",
-                ArrayUtils.toString(getVariableNames(builder))
+                ArrayUtils.toString(sqlbuilder.variables_names())
         );
         assertEquals(
                 "[]",
-                ArrayUtils.toString(getParameterNames(builder))
+                ArrayUtils.toString(sqlbuilder.parameters_names())
         );
     }
         
     public void testPerformDeletes() throws Exception {
-        SQLBuilder builder = new SQLBuilderBase();
+        SQLBuilder sqlbuilder = createSQLBuilder();
+        ExpressionBuilder expbuilder = sqlbuilder.expression();
 
-        builder.delete().table().database("master").schema("dbo").name("test1");
-        builder.delete().where().and(
-            builder.eq( 
-                builder.column("id1"),
-                builder.parameter("id1").as_variable()
+        sqlbuilder.delete().table().database("master").schema("dbo").name("test1");
+        sqlbuilder.delete().where().and(
+            expbuilder.eq( 
+                expbuilder.column("id1"),
+                expbuilder.parameter("id1").as_variable()
             )
         );
-        builder.delete().where().and(
-            builder.eq( 
-                builder.column("id2"),
-                builder.parameter("id2").as_variable()
+        sqlbuilder.delete().where().and(
+            expbuilder.eq( 
+                expbuilder.column("id2"),
+                expbuilder.parameter("id2").as_variable()
             )
         );
 
         // DELETE FROM "master"."dbo"."test1" WHERE ( ("id1") = (?) ) AND ( ("id2") = (?) )
 
         System.out.println("# Test:: testPerformDeletes");
-        System.out.println("# SQL:: " + builder.toString());
-        System.out.println("# Variables:: " + ArrayUtils.toString(getVariableNames(builder)));
-        System.out.println("# Parametros:: " + ArrayUtils.toString(getParameterNames(builder)));
+        System.out.println("# SQL:: " + sqlbuilder.toString());
+        System.out.println("# Variables:: " + ArrayUtils.toString(sqlbuilder.variables_names()));
+        System.out.println("# Parametros:: " + ArrayUtils.toString(sqlbuilder.parameters_names()));
         assertEquals(
                 "DELETE FROM \"master\".\"dbo\".\"test1\" WHERE ( (\"id1\") = (?) ) AND ( (\"id2\") = (?) )",
-                builder.toString()
+                sqlbuilder.toString()
         );
         assertEquals(
                 "[id1, id2]",
-                ArrayUtils.toString(getVariableNames(builder))
+                ArrayUtils.toString(sqlbuilder.variables_names())
         );
         assertEquals(
                 "[\"id1\", \"id2\"]",
-                ArrayUtils.toString(getParameterNames(builder))
+                ArrayUtils.toString(sqlbuilder.parameters_names())
         );
     }
 
     public void testPerformInserts1() throws Exception {
         IProjection proj = CRSFactory.getCRS("EPSG:4326");
 
-        SQLBuilder builder = new SQLBuilderBase();
+        SQLBuilder sqlbuilder = createSQLBuilder();
+        ExpressionBuilder expbuilder = sqlbuilder.expression();
 
-        builder.insert().table().database("master").schema("dbo").name("test1");
-        builder.insert().column().name("id").with_value(builder.parameter("id"));
-        builder.insert().column().name("name").with_value(builder.parameter("name"));
-        builder.insert().column().name("geom").with_value(builder.parameter("geom").as_geometry_variable().srs(proj));
+        sqlbuilder.insert().table().database("master").schema("dbo").name("test1");
+        sqlbuilder.insert().column().name("id").with_value(expbuilder.parameter("id"));
+        sqlbuilder.insert().column().name("name").with_value(expbuilder.parameter("name"));
+        sqlbuilder.insert().column().name("geom").with_value(expbuilder.parameter("geom").as_geometry_variable().srs(proj));
         
-        // INSERT INTO "master"."dbo"."test1" ( "id", "name", "geom" ) VALUES ( ?, ?, ST_GeomFromText(?, (4326)) )
-        
         System.out.println("# Test:: testPerformInserts1");
-        System.out.println("# SQL:: " + builder.toString());
-        System.out.println("# Variables:: " + ArrayUtils.toString(getVariableNames(builder)));
-        System.out.println("# Parametros:: " + ArrayUtils.toString(getParameterNames(builder)));
+        System.out.println("# SQL:: " + sqlbuilder.toString());
+        System.out.println("# Variables:: " + ArrayUtils.toString(sqlbuilder.variables_names()));
+        System.out.println("# Parametros:: " + ArrayUtils.toString(sqlbuilder.parameters_names()));
         assertEquals(
-                "INSERT INTO \"master\".\"dbo\".\"test1\" ( \"id\", \"name\", \"geom\" ) VALUES ( ?, ?, ST_GeomFromText(?, (4326)) )",
-                builder.toString()
+                "INSERT INTO \"master\".\"dbo\".\"test1\" ( \"id\", \"name\", \"geom\" ) VALUES ( ?, ?, ST_GeomFromWKB((?), (4326)) )",
+                sqlbuilder.toString()
         );
         assertEquals(
                 "[geom, id, name]",
-                ArrayUtils.toString(getVariableNames(builder))
+                ArrayUtils.toString(sqlbuilder.variables_names())
         );
         assertEquals(
                 "[\"id\", \"name\", \"geom\"]",
-                ArrayUtils.toString(getParameterNames(builder))
+                ArrayUtils.toString(sqlbuilder.parameters_names())
         );
     }
 
     public void testPerformInserts2() throws Exception {
         IProjection proj = CRSFactory.getCRS("EPSG:4326");
 
-        SQLBuilder builder = new SQLBuilderBase();
+        SQLBuilder sqlbuilder = createSQLBuilder();
+        ExpressionBuilder expbuilder = sqlbuilder.expression();
 
-        builder.insert().table().database("master").schema("dbo").name("test1");
-        builder.insert().column().name("id").with_value(builder.parameter("id"));
-        builder.insert().column().name("name").with_value(builder.parameter("name"));
-        builder.insert().column().name("geom").with_value(builder.parameter("geom").as_geometry_variable().srs(proj));
+        sqlbuilder.insert().table().database("master").schema("dbo").name("test1");
+        sqlbuilder.insert().column().name("id").with_value(expbuilder.parameter("id"));
+        sqlbuilder.insert().column().name("name").with_value(expbuilder.parameter("name"));
+        sqlbuilder.insert().column().name("geom").with_value(expbuilder.parameter("geom").as_geometry_variable().srs(proj));
         
-        // INSERT INTO "master"."dbo"."test1" ( "id", "name", "geom" ) VALUES ( ?, ?, ST_GeomFromText(?, (?)) )
-        
         System.out.println("# Test:: testPerformInserts2");
-        System.out.println("# SQL:: " + builder.toString());
-        System.out.println("# Variables:: " + ArrayUtils.toString(getVariableNames(builder)));
-        System.out.println("# Parametros:: " + ArrayUtils.toString(getParameterNames(builder)));
+        System.out.println("# SQL:: " + sqlbuilder.toString());
+        System.out.println("# Variables:: " + ArrayUtils.toString(sqlbuilder.variables_names()));
+        System.out.println("# Parametros:: " + ArrayUtils.toString(sqlbuilder.parameters_names()));
         assertEquals(
-                "INSERT INTO \"master\".\"dbo\".\"test1\" ( \"id\", \"name\", \"geom\" ) VALUES ( ?, ?, ST_GeomFromText(?, (?)) )",
-                builder.toString()
+                "INSERT INTO \"master\".\"dbo\".\"test1\" ( \"id\", \"name\", \"geom\" ) VALUES ( ?, ?, ST_GeomFromWKB((?), (4326)) )",
+                sqlbuilder.toString()
         );
         assertEquals(
                 "[geom, id, name]",
-                ArrayUtils.toString(getVariableNames(builder))
+                ArrayUtils.toString(sqlbuilder.variables_names())
         );
         assertEquals(
-                "[\"id\", \"name\", \"geom\", 4326]",
-                ArrayUtils.toString(getParameterNames(builder))
+                "[\"id\", \"name\", \"geom\"]",
+                ArrayUtils.toString(sqlbuilder.parameters_names())
         );
     }
 
-    public void testPerformUpdates() throws Exception {
+    public void testPerformUpdates1() throws Exception {
         IProjection proj = CRSFactory.getCRS("EPSG:4326");
 
-        SQLBuilder builder = new SQLBuilderBase();
+        SQLBuilder sqlbuilder = createSQLBuilder();
+        ExpressionBuilder expbuilder = sqlbuilder.expression();
 
-        builder.update().table().database("master").schema("dbo").name("test1");
-        builder.update().where().and(
-            builder.eq(
-                builder.column("id"), 
-                builder.parameter("id").as_variable()
+        sqlbuilder.update().table().database("master").schema("dbo").name("test1");
+        sqlbuilder.update().where().and(
+            expbuilder.eq(
+                expbuilder.column("id"), 
+                expbuilder.parameter("id").as_variable()
             )
         );
-        builder.update().column().name("name").with_value(builder.parameter("name"));
-        builder.update().column().name("geom").with_value(
-                builder.parameter("geom").as_geometry_variable().srs(proj) 
+        sqlbuilder.update().column().name("name").with_value(expbuilder.parameter("name"));
+        sqlbuilder.update().column().name("geom").with_value(
+                expbuilder.parameter("geom").as_geometry_variable().srs(proj) 
         );
 
-        // UPDATE "master"."dbo"."test1" SET "name" = ?, "geom" = ST_GeomFromText(?, (?)) WHERE ( ("id") = (?) )
+        System.out.println("# Test:: testPerformUpdates");
+        System.out.println("# SQL:: " + sqlbuilder.toString());
+        System.out.println("# Variables:: " + ArrayUtils.toString(sqlbuilder.variables_names()));
+        System.out.println("# Parametros:: " + ArrayUtils.toString(sqlbuilder.parameters_names()));
+        assertEquals(
+                "UPDATE \"master\".\"dbo\".\"test1\" SET \"name\" = ?, \"geom\" = ST_GeomFromWKB((?), (4326)) WHERE ( (\"id\") = (?) )",
+                sqlbuilder.toString()
+        );
+        assertEquals(
+                "[geom, id, name]",
+                ArrayUtils.toString(sqlbuilder.variables_names())
+        );
+        assertEquals(
+                "[\"name\", \"geom\", \"id\"]",
+                ArrayUtils.toString(sqlbuilder.parameters_names())
+        );
+    }
 
+    public void testPerformUpdates2() throws Exception {
+        IProjection proj = CRSFactory.getCRS("EPSG:4326");
+
+        SQLBuilder sqlbuilder = createSQLBuilder();
+        ExpressionBuilder expbuilder = sqlbuilder.expression();
+
+        sqlbuilder.update().table().database("master").schema("dbo").name("test1");
+        sqlbuilder.update().where().and(
+            expbuilder.eq(
+                expbuilder.column("id"), 
+                expbuilder.parameter("id").as_variable()
+            )
+        );
+        sqlbuilder.update().column().name("name").with_value(expbuilder.parameter("name"));
+        sqlbuilder.update().column().name("geom").with_value(
+                expbuilder.parameter("geom").as_geometry_variable()
+                        .srs(expbuilder.parameter().value(proj)) 
+        );
+
         System.out.println("# Test:: testPerformUpdates");
-        System.out.println("# SQL:: " + builder.toString());
-        System.out.println("# Variables:: " + ArrayUtils.toString(getVariableNames(builder)));
-        System.out.println("# Parametros:: " + ArrayUtils.toString(getParameterNames(builder)));
+        System.out.println("# SQL:: " + sqlbuilder.toString());
+        System.out.println("# Variables:: " + ArrayUtils.toString(sqlbuilder.variables_names()));
+        System.out.println("# Parametros:: " + ArrayUtils.toString(sqlbuilder.parameters_names()));
         assertEquals(
-                "UPDATE \"master\".\"dbo\".\"test1\" SET \"name\" = ?, \"geom\" = ST_GeomFromText(?, (?)) WHERE ( (\"id\") = (?) )",
-                builder.toString()
+                "UPDATE \"master\".\"dbo\".\"test1\" SET \"name\" = ?, \"geom\" = ST_GeomFromWKB((?), (?)) WHERE ( (\"id\") = (?) )",
+                sqlbuilder.toString()
         );
         assertEquals(
                 "[geom, id, name]",
-                ArrayUtils.toString(getVariableNames(builder))
+                ArrayUtils.toString(sqlbuilder.variables_names())
         );
         assertEquals(
                 "[\"name\", \"geom\", 4326, \"id\"]",
-                ArrayUtils.toString(getParameterNames(builder))
+                ArrayUtils.toString(sqlbuilder.parameters_names())
         );
     }
 
     public void testGrant1() throws Exception {
 
-        SQLBuilder builder = new SQLBuilderBase();
+        SQLBuilder sqlbuilder = createSQLBuilder();
+        ExpressionBuilder expbuilder = sqlbuilder.expression();
 
-        builder.grant().table().database("master").schema("dbo").name("test1");
-        builder.grant().role("prueba").select().insert().update();
-        builder.grant().role("gis").all();
+        sqlbuilder.grant().table().database("master").schema("dbo").name("test1");
+        sqlbuilder.grant().role("prueba").select().insert().update();
+        sqlbuilder.grant().role("gis").all();
                 
         
         System.out.println("# Test:: testGrant1");
-        System.out.println("# SQL:: " + builder.toString());
-        System.out.println("# Variables:: " + ArrayUtils.toString(getVariableNames(builder)));
-        System.out.println("# Parametros:: " + ArrayUtils.toString(getParameterNames(builder)));
+        System.out.println("# SQL:: " + sqlbuilder.toString());
+        System.out.println("# Variables:: " + ArrayUtils.toString(sqlbuilder.variables_names()));
+        System.out.println("# Parametros:: " + ArrayUtils.toString(sqlbuilder.parameters_names()));
         assertEquals(
                 "",
-                builder.toString()
+                sqlbuilder.toString()
         );
         assertEquals(
                 "[]",
-                ArrayUtils.toString(getVariableNames(builder))
+                ArrayUtils.toString(sqlbuilder.variables_names())
         );
         assertEquals(
                 "[]",
-                ArrayUtils.toString(getParameterNames(builder))
+                ArrayUtils.toString(sqlbuilder.parameters_names())
         );
     }
 
     public void testGrant2() throws Exception {
 
-        SQLBuilder builder = new SQLBuilderBase();
+        SQLBuilder sqlbuilder = createSQLBuilder();
+        ExpressionBuilder expbuilder = sqlbuilder.expression();
 
-        builder.grant().table().database("master").schema("dbo").name("test1");
-        builder.grant().role("prueba").privilege(Privilege.SELECT)
+        sqlbuilder.grant().table().database("master").schema("dbo").name("test1");
+        sqlbuilder.grant().role("prueba").privilege(Privilege.SELECT)
                 .privilege(Privilege.INSERT)
                 .privilege(Privilege.UPDATE);
-        builder.grant().role("gis").privilege(Privilege.ALL);
+        sqlbuilder.grant().role("gis").privilege(Privilege.ALL);
                 
         
         System.out.println("# Test:: testGrant2");
-        System.out.println("# SQL:: " + builder.toString());
-        System.out.println("# Variables:: " + ArrayUtils.toString(getVariableNames(builder)));
-        System.out.println("# Parametros:: " + ArrayUtils.toString(getParameterNames(builder)));
+        System.out.println("# SQL:: " + sqlbuilder.toString());
+        System.out.println("# Variables:: " + ArrayUtils.toString(sqlbuilder.variables_names()));
+        System.out.println("# Parametros:: " + ArrayUtils.toString(sqlbuilder.parameters_names()));
         assertEquals(
                 "",
-                builder.toString()
+                sqlbuilder.toString()
         );
         assertEquals(
                 "[]",
-                ArrayUtils.toString(getVariableNames(builder))
+                ArrayUtils.toString(sqlbuilder.variables_names())
         );
         assertEquals(
                 "[]",
-                ArrayUtils.toString(getParameterNames(builder))
+                ArrayUtils.toString(sqlbuilder.parameters_names())
         );
     }
 
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.db/org.gvsig.fmap.dal.db.h2/.directory
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.db/org.gvsig.fmap.dal.db.h2/.directory	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.db/org.gvsig.fmap.dal.db.h2/.directory	(revision 44198)
@@ -0,0 +1,6 @@
+[Dolphin]
+Timestamp=2019,3,13,12,31,33
+Version=4
+
+[Settings]
+HiddenFilesShown=true
